<main class="flex flex-row mt-7">
    <nav
      class="hidden sm:flex flex-col ml-5 w-[370px] min-h-[calc(100vh-3.0rem)] bg-white bg-opacity-10 p-5 rounded-3xl"
    >
      <h1
        class="font-bold text-lg lg:text-3xl bg-gradient-to-br from-white via-white/50 bg-clip-text text-transparent"
      >
        BarfGPT<span class="text-indigo-500">.</span>
      </h1>
      <span class="text-xl">Bienvenido {{ username }}</span>
  
      <div class="border-gray-700 border my-3"></div>
  
      <!-- Nav Links
      @for (route of routes; track route.path){
        <app-sidebar-menu-item
          [description]="route.data!['description']"
          [icon]="route.data!['icon']"
          [title]="route.data!['title']"
          [path]="route.path!"
        ></app-sidebar-menu-item>
      } -->


      <a
   (click)="nuevaConversacion()"
    routerLinkActive="bg-red-800"
    class="flex justify-center items-center hover:bg-green-800 rounded-md p-2 transition-colors"
>
    <i class="fa-solid fa-circle-plus text-2xl mr-4 text-green-400"></i>
    <div class="flex flex-col flex-grow">
        <span class="text-green-400 text-lg font-semibold">Nueva Conversacion</span>
        <span class="text-gray-400"></span>
    </div>
</a>



      @for (conversation of conversaciones(); track $index){
        <app-conversation-menu-item
          [id]="conversation.sessionId"
        ></app-conversation-menu-item>
      }
      <!-- End Nav Links -->
    </nav>
  
    <section
      class="mx-3 sm:mx-20 flex flex-col w-full h-[calc(100vh-50px)] bg-white bg-opacity-10 p-5 rounded-3xl"
    >
      <div class="flex h-full flex-row">
        <div class="flex flex-col flex-auto p-1">
          <router-outlet />
        </div>
      </div>
    </section>
  </main>